Package com.independentsoft.office.diagrams

# Class ColorTransformStyleLabel

java.lang.Object
com.independentsoft.office.diagrams.ColorTransformStyleLabel

public class ColorTransformStyleLabel extends Object
The Class ColorTransformStyleLabel.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColorTransformStyleLabel()`
  Instantiates a new color transform style label.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ColorTransformStyleLabel`
  `clone()`
  `EffectColorList`
  `getEffectColorList()`
  Gets the effect color list.
  `FillColorList`
  `getFillColorList()`
  Gets the fill color list.
  `LineColorList`
  `getLineColorList()`
  Gets the line color list.
  `String`
  `getName()`
  Gets the name.
  `TextEffectColorList`
  `getTextEffectColorList()`
  Gets the text effect color list.
  `TextFillColorList`
  `getTextFillColorList()`
  Gets the text fill color list.
  `TextLineColorList`
  `getTextLineColorList()`
  Gets the text line color list.
  `void`
  `setEffectColorList​(EffectColorList effectColorList)`
  Sets the effect color list.
  `void`
  `setFillColorList​(FillColorList fillColorList)`
  Sets the fill color list.
  `void`
  `setLineColorList​(LineColorList lineColorList)`
  Sets the line color list.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setTextEffectColorList​(TextEffectColorList textEffectColorList)`
  Sets the text effect color list.
  `void`
  `setTextFillColorList​(TextFillColorList textFillColorList)`
  Sets the text fill color list.
  `void`
  `setTextLineColorList​(TextLineColorList textLineColorList)`
  Sets the text line color list.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ColorTransformStyleLabel

    public ColorTransformStyleLabel()
    Instantiates a new color transform style label.

- ## Method Details

  - ### clone

    public ColorTransformStyleLabel clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getEffectColorList

    public EffectColorList getEffectColorList()
    Gets the effect color list.
    Returns:
      the effect color list

  - ### setEffectColorList

    public void setEffectColorList​(EffectColorList effectColorList)
    Sets the effect color list.
    Parameters:
      `effectColorList` - the new effect color list

  - ### getFillColorList

    public FillColorList getFillColorList()
    Gets the fill color list.
    Returns:
      the fill color list

  - ### setFillColorList

    public void setFillColorList​(FillColorList fillColorList)
    Sets the fill color list.
    Parameters:
      `fillColorList` - the new fill color list

  - ### getLineColorList

    public LineColorList getLineColorList()
    Gets the line color list.
    Returns:
      the line color list

  - ### setLineColorList

    public void setLineColorList​(LineColorList lineColorList)
    Sets the line color list.
    Parameters:
      `lineColorList` - the new line color list

  - ### getTextEffectColorList

    public TextEffectColorList getTextEffectColorList()
    Gets the text effect color list.
    Returns:
      the text effect color list

  - ### setTextEffectColorList

    public void setTextEffectColorList​(TextEffectColorList textEffectColorList)
    Sets the text effect color list.
    Parameters:
      `textEffectColorList` - the new text effect color list

  - ### getTextFillColorList

    public TextFillColorList getTextFillColorList()
    Gets the text fill color list.
    Returns:
      the text fill color list

  - ### setTextFillColorList

    public void setTextFillColorList​(TextFillColorList textFillColorList)
    Sets the text fill color list.
    Parameters:
      `textFillColorList` - the new text fill color list

  - ### getTextLineColorList

    public TextLineColorList getTextLineColorList()
    Gets the text line color list.
    Returns:
      the text line color list

  - ### setTextLineColorList

    public void setTextLineColorList​(TextLineColorList textLineColorList)
    Sets the text line color list.
    Parameters:
      `textLineColorList` - the new text line color list

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name